<?php
/**
 * @file
 * adfl_content_type_image_gallery.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function adfl_content_type_image_gallery_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'node-image_gallery-body'
  $field_instances['node-image_gallery-body'] = array(
    'bundle' => 'image_gallery',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'hidden',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'body',
    'label' => 'Short Description of this Gallery (Optional)',
    'required' => 0,
    'settings' => array(
      'display_summary' => 1,
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 20,
        'summary_rows' => 5,
      ),
      'type' => 'text_textarea_with_summary',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'node-image_gallery-field_gallery_images'
  $field_instances['node-image_gallery-field_gallery_images'] = array(
    'bundle' => 'image_gallery',
    'deleted' => 0,
    'description' => 'Add the images that you want to appear in the gallery. Once uploaded, you can drag and drop them into the order you want them.',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'colorbox',
        'settings' => array(
          'colorbox_caption' => 'auto',
          'colorbox_caption_custom' => '',
          'colorbox_gallery' => 'post',
          'colorbox_gallery_custom' => '',
          'colorbox_image_style' => 'gallery_overlay',
          'colorbox_multivalue_index' => NULL,
          'colorbox_node_style' => 'gallery_thumbnail',
          'colorbox_node_style_first' => '',
        ),
        'type' => 'colorbox',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 3,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_gallery_images',
    'label' => 'Gallery Images',
    'required' => 0,
    'settings' => array(
      'alt_field' => 1,
      'default_image' => 0,
      'file_directory' => 'images/gallery-images/gallery-images',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '2000x2000',
      'min_resolution' => '',
      'title_field' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'multiupload_imagefield_widget',
      'settings' => array(
        'preview_image_style' => 'thumbnail',
        'progress_indicator' => 'throbber',
      ),
      'type' => 'image_miw',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'node-image_gallery-field_main_image'
  $field_instances['node-image_gallery-field_main_image'] = array(
    'bundle' => 'image_gallery',
    'deleted' => 0,
    'description' => 'Add an image to represent the gallery cover. This image <strong>will not</strong> show up in the gallery itself. If you want it in the gallery, make sure to also add it in the "Gallery Images" section as well.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 3,
      ),
      'teaser' => array(
        'label' => 'hidden',
        'module' => 'image',
        'settings' => array(
          'image_link' => 'content',
          'image_style' => 'gallery_cover',
        ),
        'type' => 'image',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_main_image',
    'label' => 'Gallery Cover Image',
    'required' => 1,
    'settings' => array(
      'alt_field' => 1,
      'default_image' => 0,
      'file_directory' => 'images/gallery-images/covers',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '2000x2000',
      'min_resolution' => '',
      'title_field' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'thumbnail',
        'progress_indicator' => 'throbber',
      ),
      'type' => 'image_image',
      'weight' => 1,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Add an image to represent the gallery cover. This image <strong>will not</strong> show up in the gallery itself. If you want it in the gallery, make sure to also add it in the "Gallery Images" section as well.');
  t('Add the images that you want to appear in the gallery. Once uploaded, you can drag and drop them into the order you want them.');
  t('Gallery Cover Image');
  t('Gallery Images');
  t('Short Description of this Gallery (Optional)');

  return $field_instances;
}
